Subject: Re: [Cbe-oss-dev] [PATCH] powerpc/cell: disable ptcal in case of kdump reboot

From: Michael Neuling <[email-masked]>
Date: Thu, 12 Jun 2008 18:06:54 +1000

In message <[email-masked]> you wrote:
> On Wednesday 11 June 2008, Michael Ellerman wrote:
> > On Wed, 2008-06-11 at 18:28 +0200, Arnd Bergmann wrote:
> > > We used to do this correctly in case of a user triggered
> > > kexec, but not for kdump.
> > 
> > Used to?
> 
> Sorry, wrong wording. I meant without this patch, it's correct
> for kexec.
>  
> > > This patch disables ptcal from the cell specific
> > > machine_crash_shutdown() callback. 
> > 
> > I'd rather you used the crash_shutdown_register() infrastructure Mikey
> > added for EHEA - it's designed for just this sort of thing.
> 
> Thanks for pointing this out, I wasn't aware of that call.
> New patch coming up.

In theory we can register lots of call backs but currently the maximum
is set to 1 through CRASH_HANDLER_MAX.  This is to discourage people
from using this infrastructure at all.

Unless there's some crazy arse company that's going to mix a CBE with an
eHEA, we are probably ok leaving this at 1.  Right?

Mikey